System.Web 2.0.0.0 System.Web.UI.ControlCollection

The class represents a collection container that enables a control to maintain a list of its child controls. A control can contain only controls as child controls.

Use the method to add a new control to the collection at the end of an ordinal index array. Use the method to add a new control at a specific index location. Use the indexer to get a control from the collection at a specified index, using simple array notation.

Represents a collection container that enables a control to maintain a list of its child controls.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

  The control that owns this collection of child controls.
- Method
  System.Void ``

  The method adds the new control to the end of an ordinal index array. The control can only be an instance of a control.

  To add a control to the collection at a specific index location, use the method.

  Adds the specified control to the collection.

  The control to add to the collection. 2.0.0.0
- Method
  System.Void `` ``

  The method adds the new control to the collection at the specified index location. The control can only be an instance of a control.

  To add a control at the end of an ordinal index array, use the method.

  Adds the specified control to the collection at the specified index location.

  The array index at which to add the control. The control to add to the collection. 2.0.0.0
- Property
  System.Web.UI.WebControls.View `` To be added. To be added. To be added. To be added. 2.0.0.0